org.apache.synapse.commons.throttle.core

## Class ThrottleFactory

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleFactory

-     public class ThrottleFactory
      extends java.lang.Object

  Factory for creating a throttle instance using throttle policy

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Throttle` | `createMediatorThrottle(org.apache.neethi.Policy policy)` Abstraction for processing mediator policy assertion and create a throttle based on it
    `static Throttle` | `createModuleThrottle(org.apache.neethi.Policy policy)` Abstraction for processing module policy assertion and create a throttle based on it
    `static Throttle` | `createOperationThrottle(org.apache.neethi.Policy policy)` Abstraction for processing operation policy assertion and create a throttle based on it
    `static Throttle` | `createServiceThrottle(org.apache.neethi.Policy policy)` Abstraction for processing service policy assertion and create a throttle based on it

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createModuleThrottle

          public static Throttle createModuleThrottle(org.apache.neethi.Policy policy)
                                               throws ThrottleException

      Abstraction for processing module policy assertion and create a throttle based on it
      Parameters:
        `policy` - Throttle policy
      Returns:
        Throttle instance , if there any module policy assertion , otherwise null
      Throws:
        `ThrottleException`

    - #### createServiceThrottle

          public static Throttle createServiceThrottle(org.apache.neethi.Policy policy)
                                                throws ThrottleException

      Abstraction for processing service policy assertion and create a throttle based on it
      Parameters:
        `policy` - Throttle policy
      Returns:
        Throttle instance , if there any service policy assertion , otherwise null
      Throws:
        `ThrottleException`

    - #### createOperationThrottle

          public static Throttle createOperationThrottle(org.apache.neethi.Policy policy)
                                                  throws ThrottleException

      Abstraction for processing operation policy assertion and create a throttle based on it
      Parameters:
        `policy` - Throttle policy
      Returns:
        Throttle instance , if there any operation policy assertion , otherwise null
      Throws:
        `ThrottleException`

    - #### createMediatorThrottle

          public static Throttle createMediatorThrottle(org.apache.neethi.Policy policy)
                                                 throws ThrottleException

      Abstraction for processing mediator policy assertion and create a throttle based on it
      Parameters:
        `policy` - Throttle policy
      Returns:
        Throttle instance , if there any mediator policy assertion , otherwise null
      Throws:
        `ThrottleException`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.